Tags
Create Tag
Create a tag definition
POST
/
api
/
v1
/
tags
Create Tag
curl --request POST \
--url https://api.sequenzy.com/api/v1/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>"
}
'import requests
url = "https://api.sequenzy.com/api/v1/tags"
payload = {
"name": "<string>",
"color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>'})
};
fetch('https://api.sequenzy.com/api/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"tag": {
"id": "tag_abc123",
"name": "premium",
"color": "blue",
"isSystem": false
}
}
{
"error": "Invalid tag color"
}
{
"error": "Invalid API key"
}
{
"error": "A tag with this name already exists"
}
{
"error": "Failed to create tag"
}
Create a tag definition for your company. Tag names are normalized to lowercase with spaces replaced by hyphens (for example,
VIP Customer becomes vip-customer).
Request
string
required
Tag name. Normalized to lowercase with spaces replaced by hyphens.
string
Tag color. One of:
gray, red, orange, amber, yellow, lime,
green, emerald, teal, cyan, sky, blue, indigo, violet,
purple, fuchsia, pink, rose. Defaults to gray.curl -X POST "https://api.sequenzy.com/api/v1/tags" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "premium", "color": "blue"}'
Responses
{
"success": true,
"tag": {
"id": "tag_abc123",
"name": "premium",
"color": "blue",
"isSystem": false
}
}
{
"error": "Invalid tag color"
}
{
"error": "Invalid API key"
}
{
"error": "A tag with this name already exists"
}
{
"error": "Failed to create tag"
}
⌘I
Create Tag
